from config import set_config
from log import Log
from db_helper import RedisHelper

config_, _ = set_config()
log_ = Log()

redis_helper = RedisHelper()
redis_helper.set_data_to_redis(
    key_name=config_.RULE_24H_DATA_STATUS, value='0', expire_time=2 * 3600
)
redis_helper.set_data_to_redis(
    key_name=config_.REGION_24H_DATA_STATUS, value='0', expire_time=2 * 3600
)
redis_helper.set_data_to_redis(
    key_name=config_.RULE_H_DATA_STATUS, value='0', expire_time=2 * 3600
)
log_.info(f"recommend data status update to initial '0' finished!")
